- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h File Reference

`#include "OSConfig.h"`
`#include "OSParameters.h"`
`#include <string>`
`#include <vector>`

Include dependency graph for OSGeneral.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GeneralFileHeader
| a data structure that holds general information about files that conform to one of the OSxL schemas More...
class | SparseVector
| a sparse vector data structure More...
class | SparseMatrix
| a sparse matrix data structure More...
class | SparseJacobianMatrix
| a sparse Jacobian matrix data structure More...
class | SparseHessianMatrix
| The in-memory representation of a SparseHessianMatrix.. More...
class | QuadraticTerms
| a data structure for holding quadratic terms More...
class | IntVector
| an integer Vector data structure More...
class | OtherOptionEnumeration
class | DoubleVector
| a double vector data structure More...
struct | IndexValuePair
| A commonly used structure holding an index-value pair. More...
class | BasisStatus
| a data structure to represent an LP basis on both input and output More...
class | StorageCapacity
| the StorageCapacity class. More...
class | CPUSpeed
| the CPUSpeed class. More...
class | CPUNumber
| the CPUNumber class. More...
class | TimeSpan
| the TimeSpan class. More...
class | OSGeneral
## Enumerations
enum | ENUM_CPUSPEEDUNIT { ENUM_CPUSPEEDUNIT_hertz = 1, ENUM_CPUSPEEDUNIT_kilohertz, ENUM_CPUSPEEDUNIT_megahertz, ENUM_CPUSPEEDUNIT_gigahertz, ENUM_CPUSPEEDUNIT_terahertz, ENUM_CPUSPEEDUNIT_flops, ENUM_CPUSPEEDUNIT_kiloflops, ENUM_CPUSPEEDUNIT_megaflops, ENUM_CPUSPEEDUNIT_gigaflops, ENUM_CPUSPEEDUNIT_teraflops, ENUM_CPUSPEEDUNIT_petaflops }
enum | ENUM_STORAGEUNIT { ENUM_STORAGEUNIT_byte = 1, ENUM_STORAGEUNIT_kilobyte, ENUM_STORAGEUNIT_megabyte, ENUM_STORAGEUNIT_gigabyte, ENUM_STORAGEUNIT_terabyte, ENUM_STORAGEUNIT_petabyte, ENUM_STORAGEUNIT_exabyte, ENUM_STORAGEUNIT_zettabyte, ENUM_STORAGEUNIT_yottabyte }
enum | ENUM_TIMEUNIT { ENUM_TIMEUNIT_tick = 1, ENUM_TIMEUNIT_millisecond, ENUM_TIMEUNIT_second, ENUM_TIMEUNIT_minute, ENUM_TIMEUNIT_hour, ENUM_TIMEUNIT_day, ENUM_TIMEUNIT_week, ENUM_TIMEUNIT_month, ENUM_TIMEUNIT_year }
enum | ENUM_TIMETYPE { ENUM_TIMETYPE_cpuTime = 1, ENUM_TIMETYPE_elapsedTime, ENUM_TIMETYPE_other }
enum | ENUM_TIMECATEGORY { ENUM_TIMECATEGORY_total = 1, ENUM_TIMECATEGORY_input, ENUM_TIMECATEGORY_preprocessing, ENUM_TIMECATEGORY_optimization, ENUM_TIMECATEGORY_postprocessing, ENUM_TIMECATEGORY_output, ENUM_TIMECATEGORY_other }
enum | ENUM_LOCATIONTYPE { ENUM_LOCATIONTYPE_local = 1, ENUM_LOCATIONTYPE_http, ENUM_LOCATIONTYPE_ftp }
enum | ENUM_TRANSPORT_TYPE { ENUM_TRANSPORT_TYPE_osp = 1, ENUM_TRANSPORT_TYPE_http, ENUM_TRANSPORT_TYPE_smtp, ENUM_TRANSPORT_TYPE_ftp, ENUM_TRANSPORT_TYPE_other }
enum | ENUM_SERVICE_TYPE { ENUM_SERVICE_TYPE_analyzer = 1, ENUM_SERVICE_TYPE_solver, ENUM_SERVICE_TYPE_scheduler, ENUM_SERVICE_TYPE_modeler, ENUM_SERVICE_TYPE_registry, ENUM_SERVICE_TYPE_agent, ENUM_SERVICE_TYPE_simulations }
enum | ENUM_GENERAL_RESULT_STATUS { ENUM_GENERAL_RESULT_STATUS_error = 1, ENUM_GENERAL_RESULT_STATUS_warning, ENUM_GENERAL_RESULT_STATUS_normal }
enum | ENUM_SYSTEM_CURRENT_STATE { ENUM_SYSTEM_CURRENT_STATE_busy = 1, ENUM_SYSTEM_CURRENT_STATE_busyButAccepting, ENUM_SYSTEM_CURRENT_STATE_idle, ENUM_SYSTEM_CURRENT_STATE_idleButNotAccepting, ENUM_SYSTEM_CURRENT_STATE_noResponse }
enum | ENUM_JOB_STATUS { ENUM_JOB_STATUS_waiting = 1, ENUM_JOB_STATUS_running, ENUM_JOB_STATUS_killed, ENUM_JOB_STATUS_finished, ENUM_JOB_STATUS_unknown }
enum | ENUM_BASIS_STATUS { ENUM_BASIS_STATUS_basic = 1, ENUM_BASIS_STATUS_atLower, ENUM_BASIS_STATUS_atUpper, ENUM_BASIS_STATUS_isFree, ENUM_BASIS_STATUS_superbasic, ENUM_BASIS_STATUS_unknown }
enum | ENUM_SOLUTION_STATUS { ENUM_SOLUTION_STATUS_unbounded = 1, ENUM_SOLUTION_STATUS_globallyOptimal, ENUM_SOLUTION_STATUS_locallyOptimal, ENUM_SOLUTION_STATUS_optimal, ENUM_SOLUTION_STATUS_bestSoFar, ENUM_SOLUTION_STATUS_feasible, ENUM_SOLUTION_STATUS_infeasible, ENUM_SOLUTION_STATUS_unsure, ENUM_SOLUTION_STATUS_error, ENUM_SOLUTION_STATUS_other }
enum | ENUM_SOLUTION_SUBSTATUSTYPE { ENUM_SOLUTION_SUBSTATUSTYPE_stoppedByLimit = 1, ENUM_SOLUTION_SUBSTATUSTYPE_stoppedByBounds, ENUM_SOLUTION_SUBSTATUSTYPE_other }
enum | ENUM_PROBLEM_COMPONENT { ENUM_PROBLEM_COMPONENT_variables = 1, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_constraints }
enum | ENUM_VARTYPE { ENUM_VARTYPE_CONTINUOUS = 1, ENUM_VARTYPE_INTEGER, ENUM_VARTYPE_BINARY, ENUM_VARTYPE_SEMICONTINUOUS, ENUM_VARTYPE_SEMIINTEGER, ENUM_VARTYPE_STRING }
enum | ENUM_PATHPAIR { ENUM_PATHPAIR_input_dir = 1, ENUM_PATHPAIR_input_file, ENUM_PATHPAIR_output_file, ENUM_PATHPAIR_output_dir }
## Functions
int | returnCPUSpeedUnit (std::string unit)
bool | verifyCPUSpeedUnit (std::string unit)
int | returnStorageUnit (std::string unit)
bool | verifyStorageUnit (std::string unit)
int | returnTimeUnit (std::string unit)
bool | verifyTimeUnit (std::string unit)
int | returnTimeType (std::string type)
bool | verifyTimeType (std::string type)
int | returnTimeCategory (std::string category)
bool | verifyTimeCategory (std::string category)
int | returnLocationType (std::string type)
bool | verifyLocationType (std::string type)
int | returnTransportType (std::string type)
bool | verifyTransportType (std::string type)
int | returnServiceType (std::string type)
bool | verifyServiceType (std::string type)
int | returnGeneralResultStatus (std::string status)
bool | verifyGeneralResultStatus (std::string status)
int | returnSystemCurrentState (std::string status)
bool | verifySystemCurrentState (std::string status)
int | returnJobStatus (std::string status)
bool | verifyJobStatus (std::string status)
int | returnBasisStatus (std::string status)
bool | verifyBasisStatus (std::string status)
int | returnSolutionStatus (std::string status)
bool | verifySolutionStatus (std::string status)
int | returnSolutionSubstatusType (std::string type)
bool | verifySolutionSubstatusType (std::string type)
int | returnVarType (char vt)
bool | verifyVarType (char vt)
bool | isEqual (double x, double y)

## Detailed Description

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Remarks:
  Copyright (C) 2005-2011, Horand Gassmann, Jun Ma, Kipp Martin, Dalhousie University, Northwestern University, and the University of Chicago. All Rights Reserved. This software is licensed under the Eclipse Public License. Please see the accompanying LICENSE file in root directory for terms.

Definition in file OSGeneral.h.

## Enumeration Type Documentation

enum ENUM_CPUSPEEDUNIT

Enumerator:

  ENUM_CPUSPEEDUNIT_hertz |
  ENUM_CPUSPEEDUNIT_kilohertz |
  ENUM_CPUSPEEDUNIT_megahertz |
  ENUM_CPUSPEEDUNIT_gigahertz |
  ENUM_CPUSPEEDUNIT_terahertz |
  ENUM_CPUSPEEDUNIT_flops |
  ENUM_CPUSPEEDUNIT_kiloflops |
  ENUM_CPUSPEEDUNIT_megaflops |
  ENUM_CPUSPEEDUNIT_gigaflops |
  ENUM_CPUSPEEDUNIT_teraflops |
  ENUM_CPUSPEEDUNIT_petaflops |

Definition at line 853 of file OSGeneral.h.

enum ENUM_STORAGEUNIT

Enumerator:

  ENUM_STORAGEUNIT_byte |
  ENUM_STORAGEUNIT_kilobyte |
  ENUM_STORAGEUNIT_megabyte |
  ENUM_STORAGEUNIT_gigabyte |
  ENUM_STORAGEUNIT_terabyte |
  ENUM_STORAGEUNIT_petabyte |
  ENUM_STORAGEUNIT_exabyte |
  ENUM_STORAGEUNIT_zettabyte |
  ENUM_STORAGEUNIT_yottabyte |

Definition at line 889 of file OSGeneral.h.

enum ENUM_TIMEUNIT

Enumerator:

  ENUM_TIMEUNIT_tick |
  ENUM_TIMEUNIT_millisecond |
  ENUM_TIMEUNIT_second |
  ENUM_TIMEUNIT_minute |
  ENUM_TIMEUNIT_hour |
  ENUM_TIMEUNIT_day |
  ENUM_TIMEUNIT_week |
  ENUM_TIMEUNIT_month |
  ENUM_TIMEUNIT_year |

Definition at line 921 of file OSGeneral.h.

enum ENUM_TIMETYPE

Enumerator:

  ENUM_TIMETYPE_cpuTime |
  ENUM_TIMETYPE_elapsedTime |
  ENUM_TIMETYPE_other |

Definition at line 953 of file OSGeneral.h.

enum ENUM_TIMECATEGORY

Enumerator:

  ENUM_TIMECATEGORY_total |
  ENUM_TIMECATEGORY_input |
  ENUM_TIMECATEGORY_preprocessing |
  ENUM_TIMECATEGORY_optimization |
  ENUM_TIMECATEGORY_postprocessing |
  ENUM_TIMECATEGORY_output |
  ENUM_TIMECATEGORY_other |

Definition at line 973 of file OSGeneral.h.

enum ENUM_LOCATIONTYPE

Enumerator:

  ENUM_LOCATIONTYPE_local |
  ENUM_LOCATIONTYPE_http |
  ENUM_LOCATIONTYPE_ftp |

Definition at line 1001 of file OSGeneral.h.

enum ENUM_TRANSPORT_TYPE

Enumerator:

  ENUM_TRANSPORT_TYPE_osp |
  ENUM_TRANSPORT_TYPE_http |
  ENUM_TRANSPORT_TYPE_smtp |
  ENUM_TRANSPORT_TYPE_ftp |
  ENUM_TRANSPORT_TYPE_other |

Definition at line 1021 of file OSGeneral.h.

enum ENUM_SERVICE_TYPE

Enumerator:

  ENUM_SERVICE_TYPE_analyzer |
  ENUM_SERVICE_TYPE_solver |
  ENUM_SERVICE_TYPE_scheduler |
  ENUM_SERVICE_TYPE_modeler |
  ENUM_SERVICE_TYPE_registry |
  ENUM_SERVICE_TYPE_agent |
  ENUM_SERVICE_TYPE_simulations |

Definition at line 1045 of file OSGeneral.h.

enum ENUM_GENERAL_RESULT_STATUS

Enumerator:

  ENUM_GENERAL_RESULT_STATUS_error |
  ENUM_GENERAL_RESULT_STATUS_warning |
  ENUM_GENERAL_RESULT_STATUS_normal |

Definition at line 1073 of file OSGeneral.h.

enum ENUM_SYSTEM_CURRENT_STATE

Enumerator:

  ENUM_SYSTEM_CURRENT_STATE_busy |
  ENUM_SYSTEM_CURRENT_STATE_busyButAccepting |
  ENUM_SYSTEM_CURRENT_STATE_idle |
  ENUM_SYSTEM_CURRENT_STATE_idleButNotAccepting |
  ENUM_SYSTEM_CURRENT_STATE_noResponse |

Definition at line 1093 of file OSGeneral.h.

enum ENUM_JOB_STATUS

Enumerator:

  ENUM_JOB_STATUS_waiting |
  ENUM_JOB_STATUS_running |
  ENUM_JOB_STATUS_killed |
  ENUM_JOB_STATUS_finished |
  ENUM_JOB_STATUS_unknown |

Definition at line 1117 of file OSGeneral.h.

enum ENUM_BASIS_STATUS

Enumerator:

  ENUM_BASIS_STATUS_basic |
  ENUM_BASIS_STATUS_atLower |
  ENUM_BASIS_STATUS_atUpper |
  ENUM_BASIS_STATUS_isFree |
  ENUM_BASIS_STATUS_superbasic |
  ENUM_BASIS_STATUS_unknown |

Definition at line 1142 of file OSGeneral.h.

enum ENUM_SOLUTION_STATUS

Enumerator:

  ENUM_SOLUTION_STATUS_unbounded |
  ENUM_SOLUTION_STATUS_globallyOptimal |
  ENUM_SOLUTION_STATUS_locallyOptimal |
  ENUM_SOLUTION_STATUS_optimal |
  ENUM_SOLUTION_STATUS_bestSoFar |
  ENUM_SOLUTION_STATUS_feasible |
  ENUM_SOLUTION_STATUS_infeasible |
  ENUM_SOLUTION_STATUS_unsure |
  ENUM_SOLUTION_STATUS_error |
  ENUM_SOLUTION_STATUS_other |

Definition at line 1168 of file OSGeneral.h.

enum ENUM_SOLUTION_SUBSTATUSTYPE

Enumerator:

  ENUM_SOLUTION_SUBSTATUSTYPE_stoppedByLimit |
  ENUM_SOLUTION_SUBSTATUSTYPE_stoppedByBounds |
  ENUM_SOLUTION_SUBSTATUSTYPE_other |

Definition at line 1202 of file OSGeneral.h.

enum ENUM_PROBLEM_COMPONENT

Enumerator:

  ENUM_PROBLEM_COMPONENT_variables |
  ENUM_PROBLEM_COMPONENT_objectives |
  ENUM_PROBLEM_COMPONENT_constraints |

Definition at line 1222 of file OSGeneral.h.

enum ENUM_VARTYPE

Enumerator:

  ENUM_VARTYPE_CONTINUOUS |
  ENUM_VARTYPE_INTEGER |
  ENUM_VARTYPE_BINARY |
  ENUM_VARTYPE_SEMICONTINUOUS |
  ENUM_VARTYPE_SEMIINTEGER |
  ENUM_VARTYPE_STRING |

Definition at line 1229 of file OSGeneral.h.

enum ENUM_PATHPAIR

Enumerator:

  ENUM_PATHPAIR_input_dir |
  ENUM_PATHPAIR_input_file |
  ENUM_PATHPAIR_output_file |
  ENUM_PATHPAIR_output_dir |

Definition at line 1256 of file OSGeneral.h.

## Function Documentation

int returnCPUSpeedUnit | ( | std::string | unit | ) | `[inline]`

Definition at line 868 of file OSGeneral.h.

References ENUM_CPUSPEEDUNIT_flops, ENUM_CPUSPEEDUNIT_gigaflops, ENUM_CPUSPEEDUNIT_gigahertz, ENUM_CPUSPEEDUNIT_hertz, ENUM_CPUSPEEDUNIT_kiloflops, ENUM_CPUSPEEDUNIT_kilohertz, ENUM_CPUSPEEDUNIT_megaflops, ENUM_CPUSPEEDUNIT_megahertz, ENUM_CPUSPEEDUNIT_petaflops, ENUM_CPUSPEEDUNIT_teraflops, and ENUM_CPUSPEEDUNIT_terahertz.

Referenced by verifyCPUSpeedUnit().

bool verifyCPUSpeedUnit | ( | std::string | unit | ) | `[inline]`

Definition at line 884 of file OSGeneral.h.

References returnCPUSpeedUnit().

Referenced by OSResult::setAvailableCPUSpeedUnit(), OSOption::setMinCPUSpeed(), OSOption::setMinCPUSpeedUnit(), and OSResult::setUsedCPUSpeedUnit().

int returnStorageUnit | ( | std::string | unit | ) | `[inline]`

Definition at line 902 of file OSGeneral.h.

References ENUM_STORAGEUNIT_byte, ENUM_STORAGEUNIT_exabyte, ENUM_STORAGEUNIT_gigabyte, ENUM_STORAGEUNIT_kilobyte, ENUM_STORAGEUNIT_megabyte, ENUM_STORAGEUNIT_petabyte, ENUM_STORAGEUNIT_terabyte, ENUM_STORAGEUNIT_yottabyte, and ENUM_STORAGEUNIT_zettabyte.

Referenced by verifyStorageUnit().

bool verifyStorageUnit | ( | std::string | unit | ) | `[inline]`

Definition at line 916 of file OSGeneral.h.

References returnStorageUnit().

Referenced by OSResult::setAvailableDiskSpaceUnit(), OSResult::setAvailableMemoryUnit(), OSOption::setMinDiskSpace(), OSOption::setMinDiskSpaceUnit(), OSOption::setMinMemorySize(), OSOption::setMinMemoryUnit(), OSResult::setUsedDiskSpaceUnit(), and OSResult::setUsedMemoryUnit().

int returnTimeUnit | ( | std::string | unit | ) | `[inline]`

Definition at line 934 of file OSGeneral.h.

References ENUM_TIMEUNIT_day, ENUM_TIMEUNIT_hour, ENUM_TIMEUNIT_millisecond, ENUM_TIMEUNIT_minute, ENUM_TIMEUNIT_month, ENUM_TIMEUNIT_second, ENUM_TIMEUNIT_tick, ENUM_TIMEUNIT_week, and ENUM_TIMEUNIT_year.

Referenced by verifyTimeUnit().

bool verifyTimeUnit | ( | std::string | unit | ) | `[inline]`

Definition at line 948 of file OSGeneral.h.

References returnTimeUnit().

Referenced by OSResult::addTimingInformation(), OSOption::setMaxTime(), OSOption::setMaxTimeUnit(), and OSResult::setTimingInformation().

int returnTimeType | ( | std::string | type | ) | `[inline]`

Definition at line 960 of file OSGeneral.h.

References ENUM_TIMETYPE_cpuTime, ENUM_TIMETYPE_elapsedTime, and ENUM_TIMETYPE_other.

Referenced by verifyTimeType().

bool verifyTimeType | ( | std::string | type | ) | `[inline]`

Definition at line 968 of file OSGeneral.h.

References returnTimeType().

Referenced by OSResult::setTimingInformation().

int returnTimeCategory | ( | std::string | category | ) | `[inline]`

Definition at line 984 of file OSGeneral.h.

References ENUM_TIMECATEGORY_input, ENUM_TIMECATEGORY_optimization, ENUM_TIMECATEGORY_other, ENUM_TIMECATEGORY_output, ENUM_TIMECATEGORY_postprocessing, ENUM_TIMECATEGORY_preprocessing, and ENUM_TIMECATEGORY_total.

Referenced by verifyTimeCategory().

bool verifyTimeCategory | ( | std::string | category | ) | `[inline]`

Definition at line 996 of file OSGeneral.h.

References returnTimeCategory().

Referenced by OSResult::setTimingInformation().

int returnLocationType | ( | std::string | type | ) | `[inline]`

Definition at line 1008 of file OSGeneral.h.

References ENUM_LOCATIONTYPE_ftp, ENUM_LOCATIONTYPE_http, and ENUM_LOCATIONTYPE_local.

Referenced by verifyLocationType().

bool verifyLocationType | ( | std::string | type | ) | `[inline]`

Definition at line 1016 of file OSGeneral.h.

References returnLocationType().

Referenced by OSOption::setInstanceLocation(), and OSOption::setInstanceLocationType().

int returnTransportType | ( | std::string | type | ) | `[inline]`

Definition at line 1030 of file OSGeneral.h.

References ENUM_TRANSPORT_TYPE_ftp, ENUM_TRANSPORT_TYPE_http, ENUM_TRANSPORT_TYPE_osp, ENUM_TRANSPORT_TYPE_other, and ENUM_TRANSPORT_TYPE_smtp.

Referenced by verifyTransportType().

bool verifyTransportType | ( | std::string | type | ) | `[inline]`

Definition at line 1040 of file OSGeneral.h.

References returnTransportType().

Referenced by OSOption::setContact(), and OSOption::setContactTransportType().

int returnServiceType | ( | std::string | type | ) | `[inline]`

Definition at line 1056 of file OSGeneral.h.

References ENUM_SERVICE_TYPE_agent, ENUM_SERVICE_TYPE_analyzer, ENUM_SERVICE_TYPE_modeler, ENUM_SERVICE_TYPE_registry, ENUM_SERVICE_TYPE_scheduler, ENUM_SERVICE_TYPE_simulations, and ENUM_SERVICE_TYPE_solver.

Referenced by verifyServiceType().

bool verifyServiceType | ( | std::string | type | ) | `[inline]`

Definition at line 1068 of file OSGeneral.h.

References returnServiceType().

Referenced by OSOption::setServiceType().

int returnGeneralResultStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1080 of file OSGeneral.h.

References ENUM_GENERAL_RESULT_STATUS_error, ENUM_GENERAL_RESULT_STATUS_normal, and ENUM_GENERAL_RESULT_STATUS_warning.

Referenced by verifyGeneralResultStatus().

bool verifyGeneralResultStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1088 of file OSGeneral.h.

References returnGeneralResultStatus().

int returnSystemCurrentState | ( | std::string | status | ) | `[inline]`

Definition at line 1102 of file OSGeneral.h.

References ENUM_SYSTEM_CURRENT_STATE_busy, ENUM_SYSTEM_CURRENT_STATE_busyButAccepting, ENUM_SYSTEM_CURRENT_STATE_idle, ENUM_SYSTEM_CURRENT_STATE_idleButNotAccepting, and ENUM_SYSTEM_CURRENT_STATE_noResponse.

Referenced by verifySystemCurrentState().

bool verifySystemCurrentState | ( | std::string | status | ) | `[inline]`

Definition at line 1112 of file OSGeneral.h.

References returnSystemCurrentState().

Referenced by OSResult::setCurrentState().

int returnJobStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1126 of file OSGeneral.h.

References ENUM_JOB_STATUS_finished, ENUM_JOB_STATUS_killed, ENUM_JOB_STATUS_running, ENUM_JOB_STATUS_unknown, and ENUM_JOB_STATUS_waiting.

Referenced by verifyJobStatus().

bool verifyJobStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1136 of file OSGeneral.h.

References returnJobStatus().

Referenced by OSResult::setJobStatus().

int returnBasisStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1152 of file OSGeneral.h.

References ENUM_BASIS_STATUS_atLower, ENUM_BASIS_STATUS_atUpper, ENUM_BASIS_STATUS_basic, ENUM_BASIS_STATUS_isFree, ENUM_BASIS_STATUS_superbasic, and ENUM_BASIS_STATUS_unknown.

Referenced by verifyBasisStatus().

bool verifyBasisStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1163 of file OSGeneral.h.

References returnBasisStatus().

int returnSolutionStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1182 of file OSGeneral.h.

References ENUM_SOLUTION_STATUS_bestSoFar, ENUM_SOLUTION_STATUS_error, ENUM_SOLUTION_STATUS_feasible, ENUM_SOLUTION_STATUS_globallyOptimal, ENUM_SOLUTION_STATUS_infeasible, ENUM_SOLUTION_STATUS_locallyOptimal, ENUM_SOLUTION_STATUS_optimal, ENUM_SOLUTION_STATUS_other, ENUM_SOLUTION_STATUS_unbounded, and ENUM_SOLUTION_STATUS_unsure.

Referenced by verifySolutionStatus().

bool verifySolutionStatus | ( | std::string | status | ) | `[inline]`

Definition at line 1197 of file OSGeneral.h.

References returnSolutionStatus().

int returnSolutionSubstatusType | ( | std::string | type | ) | `[inline]`

Definition at line 1209 of file OSGeneral.h.

References ENUM_SOLUTION_SUBSTATUSTYPE_other, ENUM_SOLUTION_SUBSTATUSTYPE_stoppedByBounds, and ENUM_SOLUTION_SUBSTATUSTYPE_stoppedByLimit.

Referenced by verifySolutionSubstatusType().

bool verifySolutionSubstatusType | ( | std::string | type | ) | `[inline]`

Definition at line 1217 of file OSGeneral.h.

References returnSolutionSubstatusType().

int returnVarType | ( | char | vt | ) | `[inline]`

Definition at line 1239 of file OSGeneral.h.

References ENUM_VARTYPE_BINARY, ENUM_VARTYPE_CONTINUOUS, ENUM_VARTYPE_INTEGER, ENUM_VARTYPE_SEMICONTINUOUS, ENUM_VARTYPE_SEMIINTEGER, and ENUM_VARTYPE_STRING.

Referenced by OSInstance::processVariables(), and verifyVarType().

bool verifyVarType | ( | char | vt | ) | `[inline]`

Definition at line 1250 of file OSGeneral.h.

References returnVarType().

bool isEqual | ( | double | x,
|  | double | y |
| ) |  |  | `[inline]`

Definition at line 1272 of file OSGeneral.h.

References OSIsnan().

Referenced by InitDualVarValue::IsEqual(), InitConValue::IsEqual(), InitObjBound::IsEqual(), InitObjValue::IsEqual(), BranchingWeight::IsEqual(), SOSWeights::IsEqual(), InitVarValue::IsEqual(), MinCPUSpeed::IsEqual(), MinMemorySize::IsEqual(), MinDiskSpace::IsEqual(), TimeSpan::IsEqual(), CPUSpeed::IsEqual(), StorageCapacity::IsEqual(), and DoubleVector::IsEqual().